Bug 880893

Summary: [abrt] qemu-system-x86-1.0.1-2.fc17: reds_stream_writev: Process /usr/bin/qemu-kvm was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Eduardo Villagrán Morales <evillagr>
Component: spiceAssignee: Hans de Goede <hdegoede>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: alevy, alexl, amit.shah, berrange, cfergeau, crobinso, dwmw2, hdegoede, itamar, jforbes, knoel, marcandre.lureau, pbonzini, rjones, sandmann, scottt.tw, virt-maint, yhalperi
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:0fc5354ab1b5b96b48c760e2dd99473f85e9be75
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 20:34:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: core_backtrace
none
File: environ
none
File: limits
none
File: backtrace
none
File: cgroup
none
File: smolt_data
none
File: executable
none
File: maps
none
File: dso_list
none
File: proc_pid_status
none
File: open_fds
none
File: var_log_messages none

Description Eduardo Villagrán Morales 2012-11-27 23:01:00 EST
Description of problem:
Access a VM with Spicy

Version-Release number of selected component:
qemu-system-x86-1.0.1-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/bin/qemu-kvm -S -M pc-0.15 -enable-kvm -m 300 -smp 1,sockets=1,cores=1,threads=1 -name win2k3 -uuid 9965a2a0-d441-cfe9-5875-5d600c4d4fc4 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/win2k3.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -drive file=/home/eduardo/win2k3.img,if=none,id=drive-virtio-disk1,format=raw -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x8,drive=drive-virtio-disk1,id=virtio-disk1,bootindex=1 -netdev tap,fd=20,id=hostnet0,vhost=on,vhostfd=21 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:88:cd:81,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5900,addr=127.0.0.1,disable-ticketing -vga qxl -global qxl-vga.vram_size=67108864 -device AC97,id=sound0,bus=pci.0,addr=0x4 -chardev spicevmc,id=charredir0,name=usbredir -device usb-redir,chardev=charredir0,id=redir0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6
crash_function: reds_stream_writev
kernel:         3.6.7-4.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 reds_stream_writev at reds.c:4153
: #1 red_peer_handle_outgoing at red_channel.c:274
: #2 red_channel_client_send at red_channel.c:835
: #3 red_channel_client_begin_send_message at red_channel.c:1022
: #4 cursor_channel_send_item at red_worker.c:8641
: #5 red_channel_client_send_item at red_channel.c:421
: #6 red_channel_client_push at red_channel.c:887
: #8 on_new_cursor_channel at red_worker.c:9992
: #9 red_connect_cursor at red_worker.c:10100
: #10 handle_dev_cursor_connect at red_worker.c:10711
Comment 1 Eduardo Villagrán Morales 2012-11-27 23:01:06 EST
Created attachment 653237 [details]
File: core_backtrace
Comment 2 Eduardo Villagrán Morales 2012-11-27 23:01:09 EST
Created attachment 653238 [details]
File: environ
Comment 3 Eduardo Villagrán Morales 2012-11-27 23:01:12 EST
Created attachment 653239 [details]
File: limits
Comment 4 Eduardo Villagrán Morales 2012-11-27 23:01:17 EST
Created attachment 653240 [details]
File: backtrace
Comment 5 Eduardo Villagrán Morales 2012-11-27 23:01:19 EST
Created attachment 653241 [details]
File: cgroup
Comment 6 Eduardo Villagrán Morales 2012-11-27 23:01:22 EST
Created attachment 653242 [details]
File: smolt_data
Comment 7 Eduardo Villagrán Morales 2012-11-27 23:01:24 EST
Created attachment 653243 [details]
File: executable
Comment 8 Eduardo Villagrán Morales 2012-11-27 23:01:26 EST
Created attachment 653244 [details]
File: maps
Comment 9 Eduardo Villagrán Morales 2012-11-27 23:01:28 EST
Created attachment 653245 [details]
File: dso_list
Comment 10 Eduardo Villagrán Morales 2012-11-27 23:01:31 EST
Created attachment 653246 [details]
File: proc_pid_status
Comment 11 Eduardo Villagrán Morales 2012-11-27 23:01:33 EST
Created attachment 653247 [details]
File: open_fds
Comment 12 Eduardo Villagrán Morales 2012-11-27 23:01:37 EST
Created attachment 653248 [details]
File: var_log_messages
Comment 13 Cole Robinson 2013-04-01 08:12:21 EDT
Looks to be entirely in spice
Comment 14 Hans de Goede 2013-04-01 09:31:24 EDT
Hi,

Thanks for the bug report.

Quite a mysterious crash.

Eduardo can you reproduce this ? IOW does it happen every time you try to connect using spicy, or did this happen only once ?  Also have you been seeing other (mysterious) crashes on this machine ?

Regards,

Hans
Comment 15 Yonit Halperin 2013-04-01 13:26:02 EDT
Hi,

Can you please also attach the qemu output?

Thanks,
Yonit.
Comment 16 Fedora End Of Life 2013-07-03 18:35:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-07-31 20:34:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.